Commit 76d362ff authored by juga's avatar juga
Browse files

fix: CI: Stop allowing python 3.10 to fail

Also:
- add Python 3.10 as supported version.
- target Python 3.10 in black
parent 60107b7d
......@@ -5,9 +5,8 @@
# 0.4.6 stable by Jun 15, 2021
# 0.4.5 (LTS) EOL Feb 15, 2023
# 0.3.5 (LTS) EOL Feb 1, 2022
# Python releases:
# 3.10 stable by 2021-10-04: https://www.python.org/dev/peps/pep-0619/
# Python stable releases: https://www.python.org/downloads/
# 3.10 EOL 2026-10, PEP 619
# 3.9 EOL 2025-10, PEP 596
# 3.8 EOL 2024-10, PEP 569
# 3.7 EOL 2023-06-27, PEP 537
......@@ -106,11 +105,10 @@ python39torstable:
python310:
variables:
BASE_IMAGE: python:3.10-rc-bullseye
BASE_IMAGE: python:3.10
script:
- tox -e py310
- tox -e integration
allow_failure: true
release_job:
before_script:
......
[tool.black]
line-length = 79
target-version = ['py37', 'py38', 'py39']
target-version = ['py37', 'py38', 'py39', 'py310']
exclude = '''
/(
docs
......
......@@ -22,6 +22,7 @@ classifiers =
Programming Language :: Python :: 3.7
Programming Language :: Python :: 3.8
Programming Language :: Python :: 3.9
Programming Language :: Python :: 3.10
long_description = file: README.rst
license_files = LICENSE.rst
project_urls =
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment